summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorSlashbunny2009-08-12 22:17:38 -0400
committerSlashbunny2009-08-12 22:17:38 -0400
commitc03ad144aaa9ddfcae861dfe63d2091e6ad29313 (patch)
tree74e169d86e807598e6b44e96fb21ece2b4ede3a3
downloadaur-c03ad144aaa9ddfcae861dfe63d2091e6ad29313.tar.gz
Initial commit of personal PKGBUILDs for Arch Linux
-rw-r--r--.SRCINFO21
-rw-r--r--.gitignore5
-rw-r--r--PKGBUILD42
-rw-r--r--quake4-demo-dedicated.sh4
-rw-r--r--quake4-demo.install15
-rw-r--r--quake4-demo.sh4
6 files changed, 91 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..5e973acc7e8
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,21 @@
+pkgbase = quake4-demo
+ pkgdesc = Quake 4 demo
+ pkgver = 1.0
+ pkgrel = 4
+ url = http://www.quake4game.com/
+ install = quake4-demo.install
+ arch = i686
+ license = custom:"Quake 4 Demo"
+ depends = alsa-lib
+ depends = sdl
+ depends = libxext
+ depends = libgl
+ source = ftp://ftp.idsoftware.com/idstuff/quake4/demo/quake4-linux-1.0-demo.x86.run
+ source = quake4-demo.sh
+ source = quake4-demo-dedicated.sh
+ md5sums = 98ebbb835cc71ea29062cd2b4a139a46
+ md5sums = e1eeb0067b02dc43315b43e69b6d681c
+ md5sums = 966f6b8dd0166ddd305ae905f6958354
+
+pkgname = quake4-demo
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..e4f398dc5b3
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,5 @@
+src/
+pkg/
+*.pkg.tar.xz
+*.pkg.tar
+*.src.tar.gz
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..961525edf98
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,42 @@
+# Contributor: Andrew Simmons <andrew.simmons@gmail.com>
+
+pkgname=quake4-demo
+pkgver=1.0
+pkgrel=4
+pkgdesc="Quake 4 demo"
+url="http://www.quake4game.com/"
+arch=('i686')
+license=('custom:"Quake 4 Demo"')
+depends=('alsa-lib' 'sdl' 'libxext' 'libgl')
+makedepends=()
+conflicts=()
+replaces=()
+backup=()
+install="quake4-demo.install"
+source=(ftp://ftp.idsoftware.com/idstuff/quake4/demo/quake4-linux-1.0-demo.x86.run \
+ $pkgname.sh \
+ ${pkgname}-dedicated.sh)
+md5sums=('98ebbb835cc71ea29062cd2b4a139a46'
+ 'e1eeb0067b02dc43315b43e69b6d681c'
+ '966f6b8dd0166ddd305ae905f6958354')
+
+build() {
+ cd $startdir/src
+ chmod +x quake4-linux-$pkgver-demo.x86.run
+ mkdir -p $startdir/pkg/opt/$pkgname \
+ $startdir/pkg/usr/bin \
+ $startdir/pkg/usr/share/licenses/$pkgname
+ ./quake4-linux-$pkgver-demo.x86.run -- -i $startdir/pkg/opt/$pkgname -b $startdir/pkg/usr/bin
+ # ncurses & gtk installers don't return 1 when canceled, so check that files are installed
+ ls $startdir/pkg/opt/$pkgname/q4base || return 1
+
+ rm $startdir/pkg/opt/$pkgname/${pkgname}ded \
+ $startdir/pkg/usr/bin/${pkgname}ded
+
+ install -m755 -D $pkgname.sh $startdir/pkg/opt/$pkgname/$pkgname
+ install -m755 -D ${pkgname}-dedicated.sh $startdir/pkg/opt/$pkgname/${pkgname}-dedicated
+
+ ln -sf /opt/$pkgname/$pkgname $startdir/pkg/usr/bin/$pkgname
+ ln -sf /opt/$pkgname/${pkgname}-dedicated $startdir/pkg/usr/bin/${pkgname}-dedicated
+ ln -sf /opt/$pkgname/License.txt $startdir/pkg/usr/share/licenses/$pkgname/License.txt
+}
diff --git a/quake4-demo-dedicated.sh b/quake4-demo-dedicated.sh
new file mode 100644
index 00000000000..e6ade79be03
--- /dev/null
+++ b/quake4-demo-dedicated.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+cd /opt/quake4-demo
+export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:.
+exec ./q4ded.x86 "$@"
diff --git a/quake4-demo.install b/quake4-demo.install
new file mode 100644
index 00000000000..6300b4afd4f
--- /dev/null
+++ b/quake4-demo.install
@@ -0,0 +1,15 @@
+post_install() {
+cat << EOF
+IMPORTANT
+==> In order to use the software, you have to agree to ID Software's license
+==> located in /opt/quake4-demo/License.txt
+==> If you don't, please remove this package (pacman -R quake4-demo)
+EOF
+
+ /bin/true
+}
+
+
+op=$1
+shift
+$op $*
diff --git a/quake4-demo.sh b/quake4-demo.sh
new file mode 100644
index 00000000000..c34045c1b49
--- /dev/null
+++ b/quake4-demo.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+cd /opt/quake4-demo
+export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:.
+exec ./quake4.x86 "$@"